Bug 428002 - Don't strip binaries in debuginfo
Don't strip binaries in debuginfo
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ypserv (Show other bugs)
4.8
All Linux
low Severity low
: rc
: ---
Assigned To: Karel Klíč
qe-baseos-daemons
:
Depends On:
Blocks: 428003
  Show dependency treegraph
 
Reported: 2008-01-08 11:54 EST by Adam Stokes
Modified: 2013-03-03 17:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-22 09:42:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Remove -s from makefile (3.30 KB, patch)
2008-01-08 11:54 EST, Adam Stokes
no flags Details | Diff
Fedora patch (4.03 KB, text/x-patch)
2008-01-11 15:35 EST, Steve Dickson
no flags Details

  None (edit)
Description Adam Stokes 2008-01-08 11:54:00 EST
Description of problem:
Some binaries (mainly ypserv) are stripped of debugging symbols even though a
debuginfo package is available.

Version-Release number of selected component (if applicable):
ypserv-debuginfo-2.13-18

How reproducible:
Everytime

Steps to Reproduce:
1. Install debuginfo
2. Attempting to view gcore within gdb
3.
  
Actual results:
No debugging symbols

Expected results:
Debugging symbols

Additional info:
Comment 1 Adam Stokes 2008-01-08 11:54:01 EST
Created attachment 291068 [details]
Remove -s from makefile
Comment 2 Steve Dickson 2008-01-11 15:35:55 EST
Created attachment 291419 [details]
Fedora patch
Comment 3 RHEL Product and Program Management 2008-10-31 12:36:13 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 RHEL Product and Program Management 2010-10-22 14:49:02 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 5 Ondrej Vasik 2011-02-22 09:42:58 EST
Closing this bugzilla WONTFIX, RHEL-4.9 is out and future async updates will contain only critical and security fixes. Problem is fixed in RHEL-5 and 6.

Note You need to log in before you can comment on or make changes to this bug.